﻿@model  EnergyMission.Domain.Entities.StateEntity

@{
    string actionName = (string)ViewData["ActionName"];
    EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();
}


@using (Html.BeginForm("Creates", "states", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
    <div class="left right-blank">


        <div id="editmodel" style="display:none">
            <label class="name">Select State </label>

                @Html.DropDownListFor(model => model.Name1, cs.Statesn, new { @class = "select-btn" })
                @*<select class="my-dropdown">
                        <option>option1</option>
                        <option>option2</option>
                        <option>option3</option>
                    </select>*@
            @*</div>*@
            <div class="clearfix"></div>
            <small>or</small>
            <div class="clearfix"></div>


            <label class="name">Type in State Name</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model => model.NameConfirm)
                @*<input type="text" name="name" value="" placeholder="" />*@

                <div class="error-msg">
                    <span class="error"><label id="lblval"> </label>  </span>
                </div>
            </div>
        </div>

        <div id="viewmodel">

            <label class="name">Select Country </label>
            <div style="position:relative;">
                @Html.DropDownListFor(model => model.countryId, cs.Countriess,"Select", new { @class = "select-btn" })
                @*<select class="my-dropdown">
                <option>option1</option>
                <option>option2</option>
                <option>option3</option>
            </select>*@
                <div class="error-msg">
                    <span class="cross-icon eql_height "><img src="~/Content/themes/base/images/error-arrow-2.png" alt=""></span>
                    @Html.ValidationMessageFor(m => m.countryId, "", new { @class = "error-message eql_height" })
                </div>
                </div>
                <div class="clearfix"></div>
                <label class="name">  Abbreviation Code</label>
                <div style="position:relative;">
                    @Html.TextBoxFor(model => model.AbbreviationCode)
                    @*<input type="text" name="name" value="" placeholder="" />*@

                    <div class="error-msg">
                        <span class="cross-icon eql_height "><img src="~/Content/themes/base/images/error-arrow-2.png" alt=""></span>
                        @Html.ValidationMessageFor(m => m.AbbreviationCode, "", new { @class = "error-message eql_height" })
                    </div>
                </div>

                <div class="clearfix"></div>

                <label class="name">  State Name</label>
                <div style="position:relative;">
                    @Html.TextBoxFor(model => model.Name)
                    @*<input type="text" name="name" value="" placeholder="" />*@

                    <div class="error-msg">
                        <span class="cross-icon eql_height "><img src="~/Content/themes/base/images/error-arrow-2.png" alt=""></span>
                        @Html.ValidationMessageFor(m => m.Name, "", new { @class = "error-message eql_height" })
                    </div>



                    @*<div class="error-message-outer2">
                    <span class="cross-icon eql_height"><img src="~/Content/themes/base/images/error-arrow-3.png" alt=""></span>
                    <span class="error-message2 eql_height">
                        <small>@Html.ValidationMessageFor(tt => tt.Name, "")</small>
                    </span>
                </div>*@
                </div>
                <div class="clearfix"></div>
            </div>

        <div class="clearfix"></div>
        <input class="save button" id="btnsaves" name="button" type="submit" value="Submit" />
        <input class="done button" name="button" onclick="cancelall();" type="button" value="Done" />
    </div>
    <div class="right">

    </div>
}

@*@using (var f = Html.Bootstrap().Begin(new Form(actionName, "States").LabelWidthMd(2).InputWidthMd(9)))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)

    @f.FormGroup().TextBoxFor(model => model.AbbreviationCode).Placeholder("ACT").WidthMd(1)
    @f.FormGroup().TextBoxFor(model => model.Name).Placeholder("Australian Capital Territory").WidthMd(5)

    @Html.Partial("_SaveCancelForAddEdit")
}*@
